rpms/abrt/F-12 remove_R2.patch, NONE, 1.1 .cvsignore, 1.21, 1.22 abrt.init, 1.2, 1.3 abrt.spec, 1.27, 1.28 sources, 1.22, 1.23

Denys Vlasenko vda at fedoraproject.org
Wed Mar 3 14:14:21 UTC 2010


Author: vda

Update of /cvs/extras/rpms/abrt/F-12
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv10573

Modified Files:
	.cvsignore abrt.init abrt.spec sources 
Added Files:
	remove_R2.patch 
Log Message:
* Wed Mar  3 2010  Denys Vlasenko <dvlasenk at redhat.com> 1.0.8-2
- fix initscript even more (npajkovs at redhat.com)
- remove -R2 from yum command line

* Mon Feb 22 2010  Jiri Moskovcak <jmoskovc at redhat.com> 1.0.8-1
- fix initscript (npajkovs at redhat.com)
- Kerneloops: make hashing more likely to produce same hash on different oopses (vda.linux at googlemail.com)

* Mon Feb 22 2010  Jiri Moskovcak <jmoskovc at redhat.com> 1.0.8-0.git-20100222
- Kerneloops: make hashing more likely to produce same hash on different oopses (vda.linux at googlemail.com)
- make abrt work with the latest kernels (>= 2.6.33) (jmoskovc at redhat.com)
- lib/Utils/abrt_dbus: utf8-sanitize all strings in dbus messages (fixes #565876) (vda.linux at googlemail.com)



remove_R2.patch:
 abrt-debuginfo-install |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

--- NEW FILE remove_R2.patch ---
diff -uprN abrt-1.0.7.orig/src/Daemon/abrt-debuginfo-install abrt-1.0.7/src/Daemon/abrt-debuginfo-install
--- abrt-1.0.7.orig/src/Daemon/abrt-debuginfo-install	2010-02-14 19:54:14.000000000 +0100
+++ abrt-1.0.7/src/Daemon/abrt-debuginfo-install	2010-03-03 14:58:24.692030800 +0100
@@ -146,8 +146,7 @@ print_package_names() {
     # when we look for debuginfo we need only -debuginfo* repos, so we can disable the rest and thus make it faster
     # also we want only fedora repositories, because abrt won't work for other packages anyway
     # --showduplicates: do not just show the latest package
-    # -R2: wait two minutes max (hopefully this prevents infinite hang on yum lock)
-    local cmd="yum $yumopts '--disablerepo=*' '--enablerepo=fedora-debuginfo*' '--enablerepo=updates-debuginfo*' --showduplicates -R2 --quiet provides $missing_debuginfo_files"
+    local cmd="yum $yumopts '--disablerepo=*' '--enablerepo=fedora-debuginfo*' '--enablerepo=updates-debuginfo*' --showduplicates --quiet provides $missing_debuginfo_files"
     echo "$cmd" >"yum_provides.$1.OUT"
     # eval is needed to strip away ''s; cant remove them above and just use
     # $cmd, that would perform globbing on '*'


Index: .cvsignore
===================================================================
RCS file: /cvs/extras/rpms/abrt/F-12/.cvsignore,v
retrieving revision 1.21
retrieving revision 1.22
diff -u -p -r1.21 -r1.22
--- .cvsignore	15 Feb 2010 13:12:23 -0000	1.21
+++ .cvsignore	3 Mar 2010 14:14:21 -0000	1.22
@@ -1 +1 @@
-abrt-1.0.7.tar.gz
+abrt-1.0.8.tar.gz


Index: abrt.init
===================================================================
RCS file: /cvs/extras/rpms/abrt/F-12/abrt.init,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -p -r1.2 -r1.3
--- abrt.init	4 Sep 2009 17:55:36 -0000	1.2
+++ abrt.init	3 Mar 2010 14:14:21 -0000	1.3
@@ -11,24 +11,32 @@
 # Default-Stop: 0 1 2 6
 # Default-Start: 3 5
 # Short-Description: start and stop abrt daemon
-# Description: Listen and dispatch crash events
+# Description: Listen to and dispatch crash events
 ### END INIT INFO
 
 # Source function library.
 . /etc/rc.d/init.d/functions
-
+ABRT_BIN="/usr/sbin/abrtd"
+LOCK="/var/lock/subsys/abrtd"
+OLD_LOCK="/var/lock/subsys/abrt"
 RETVAL=0
 
 #
+# Set these variables if you are behind proxy
+#
+#export http_proxy=
+#export https_proxy=
+
+#
 # See how we were called.
 #
 
 check() {
 	# Check that we're a privileged user
-	[ `id -u` = 0 ] || exit 4
+	[ "`id -u`" = 0 ] || exit 4
 
 	# Check if abrt is executable
-	test -x /usr/sbin/abrtd || exit 5
+	test -x $ABRT_BIN || exit 5
 }
 
 start() {
@@ -36,11 +44,11 @@ start() {
 	check
 
 	# Check if it is already running
-	if [ ! -f /var/lock/subsys/abrt ]; then
+	if [ ! -f $LOCK ] && [ ! -f $OLD_LOCK ]; then
 		echo -n $"Starting abrt daemon: "
-		daemon /usr/sbin/abrtd
+		daemon $ABRT_BIN
 		RETVAL=$?
-		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/abrt
+		[ $RETVAL -eq 0 ] && touch $LOCK
 		echo
 	fi
 	return $RETVAL
@@ -51,9 +59,10 @@ stop() {
 	check
 
 	echo -n $"Stopping abrt daemon: "
-	killproc /usr/sbin/abrtd
+	killproc $ABRT_BIN
 	RETVAL=$?
-	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/abrt
+	[ $RETVAL -eq 0 ] && rm -f $LOCK
+	[ $RETVAL -eq 0 ] && rm -f $OLD_LOCK
 	echo
 	return $RETVAL
 }
@@ -86,8 +95,12 @@ restart)
 	restart
 	;;
 condrestart)
-	if [ -f /var/lock/subsys/abrt ]; then
-	    restart
+	if [ -f $LOCK ]; then
+		restart
+	fi
+	# update from older version
+	if [ -f $OLD_LOCK ]; then
+		restart
 	fi
 	;;
 status)


Index: abrt.spec
===================================================================
RCS file: /cvs/extras/rpms/abrt/F-12/abrt.spec,v
retrieving revision 1.27
retrieving revision 1.28
diff -u -p -r1.27 -r1.28
--- abrt.spec	15 Feb 2010 13:12:23 -0000	1.27
+++ abrt.spec	3 Mar 2010 14:14:21 -0000	1.28
@@ -3,13 +3,14 @@
 %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
 Summary: Automatic bug detection and reporting tool
 Name: abrt
-Version: 1.0.7
-Release: 1%{?dist}
+Version: 1.0.8
+Release: 2%{?dist}
 License: GPLv2+
 Group: Applications/System
 URL: https://fedorahosted.org/abrt/
 Source: http://jmoskovc.fedorapeople.org/%{name}-%{version}.tar.gz
 Source1: abrt.init
+Patch1: remove_R2.patch
 BuildRequires: dbus-devel
 BuildRequires: gtk2-devel
 BuildRequires: curl-devel
@@ -19,6 +20,7 @@ BuildRequires: desktop-file-utils
 #BuildRequires: nss-devel
 BuildRequires: libnotify-devel
 BuildRequires: xmlrpc-c-devel
+BuildRequires: xmlrpc-c-client
 BuildRequires: file-devel
 BuildRequires: python-devel
 BuildRequires: gettext
@@ -215,6 +217,7 @@ Virtual package to make easy default ins
 
 %prep
 %setup -q
+%patch1 -b .~remove_R2 -p1
 
 %build
 %configure
@@ -408,6 +411,19 @@ fi
 %defattr(-,root,root,-)
 
 %changelog
+* Wed Mar  3 2010  Denys Vlasenko <dvlasenk at redhat.com> 1.0.8-2
+- fix initscript even more (npajkovs at redhat.com)
+- remove -R2 from yum command line
+
+* Mon Feb 22 2010  Jiri Moskovcak <jmoskovc at redhat.com> 1.0.8-1
+- fix initscript (npajkovs at redhat.com)
+- Kerneloops: make hashing more likely to produce same hash on different oopses (vda.linux at googlemail.com)
+
+* Mon Feb 22 2010  Jiri Moskovcak <jmoskovc at redhat.com> 1.0.8-0.git-20100222
+- Kerneloops: make hashing more likely to produce same hash on different oopses (vda.linux at googlemail.com)
+- make abrt work with the latest kernels (>= 2.6.33) (jmoskovc at redhat.com)
+- lib/Utils/abrt_dbus: utf8-sanitize all strings in dbus messages (fixes #565876) (vda.linux at googlemail.com)
+
 * Fri Feb 12 2010  Jiri Moskovcak <jmoskovc at redhat.com> 1.0.7-1
 - enabled column sorting rhbz#541853
 - Load plugin settings also from ~/.abrt/*.conf (kklic at redhat.com)


Index: sources
===================================================================
RCS file: /cvs/extras/rpms/abrt/F-12/sources,v
retrieving revision 1.22
retrieving revision 1.23
diff -u -p -r1.22 -r1.23
--- sources	15 Feb 2010 13:12:23 -0000	1.22
+++ sources	3 Mar 2010 14:14:21 -0000	1.23
@@ -1 +1 @@
-cd4afb4d9547251e5a72055a75a5914a  abrt-1.0.7.tar.gz
+0e480999bb77b3babe19373c03057df4  abrt-1.0.8.tar.gz



More information about the scm-commits mailing list